For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Help CenterAPI KeysStatusSign In
GuidesAPI ReferenceChangelog
GuidesAPI ReferenceChangelog
  • Introduction
    • Getting started
  • Email API
  • Transactional SMS
  • Transactional WhatsApp
  • Marketing Campaigns
  • Contact Management
  • Events
    • GETGet events
    • POSTCreate an event
    • POSTCreate events in batch
  • Object Management
  • Accounts and Settings
  • Sales CRM
      • GETGet all task types
      • GETGet all tasks
      • POSTCreate a task
      • GETGet a task
      • DELDelete a task
      • PATCHUpdate a task
  • Conversations
  • Ecommerce
  • Loyalty
LogoLogo
Help CenterAPI KeysStatusSign In
Sales CRMTasks

Get all tasks

GET
https://api.brevo.com/v3/crm/tasks
GET
/v3/crm/tasks
1import { BrevoClient } from "@getbrevo/brevo";
2
3async function main() {
4 const client = new BrevoClient({
5 apiKey: "YOUR_API_KEY_HERE",
6 });
7 await client.tasks.getAllTasks({
8 sortBy: "name",
9 });
10}
11main();
1{
2 "items": [
3 {
4 "taskTypeId": "61a5cd07ca1347c82306ad09",
5 "name": "Task: Connect with client",
6 "date": "2021-11-01T17:44:54.668Z",
7 "id": "61a5cd07ca1347c82306ad06",
8 "companiesIds": [
9 "61a5ce58c5d4795761045990",
10 "61a5ce58c5d4795761045991",
11 "61a5ce58c5d4795761045992"
12 ],
13 "dealsIds": [
14 "61a5ce58c5d4795761045990",
15 "61a5ce58c5d4795761045991",
16 "61a5ce58c5d4795761045992"
17 ],
18 "contactsIds": [
19 1,
20 2,
21 3
22 ],
23 "assignToId": "5faab4b7f195bb3c4c31e62a",
24 "notes": "In communication with client for resolution of queries.",
25 "done": false,
26 "createdAt": "2021-11-01T17:44:54.668Z",
27 "updatedAt": "2021-11-01T17:44:54.668Z"
28 }
29 ]
30}

Retrieve a paginated list of CRM tasks with optional filtering by task type, status, date range, assignee, and linked entities (contacts, deals, companies). Results are sorted by creation date in descending order by default, with a default limit of 50 tasks per page.

Was this page helpful?
Previous

Create a task

Next
Built with

Authentication

api-keystring

The API key should be passed in the request headers as api-key for authentication.

Query parameters

filter[type]stringOptional

Filter by task type (ID)

filter[status]enumOptional
Filter by task status
Allowed values:
filter[date]enumOptional
Filter by date
Allowed values:
filter[assignTo]stringOptional
Filter by the "assignTo" ID. You can utilize account emails for the "assignTo" attribute.
filter[contacts]stringOptional
Filter by contact ids
filter[deals]stringOptional
Filter by deals ids
filter[companies]stringOptional
Filter by companies ids
dateFromintegerOptional

dateFrom to date range filter type (timestamp in milliseconds)

dateTointegerOptional

dateTo to date range filter type (timestamp in milliseconds)

offsetlongOptional
Index of the first document of the page
limitlongOptionalDefaults to 50
Number of documents per page
sortenumOptional

Sort the results in the ascending/descending order. Default order is descending by creation if sort is not passed

Allowed values:
sortBystringOptional
The field used to sort field names.

Response

Returns task list with filters
itemslist of objects
List of tasks

Errors

400
Bad Request Error